import React from "react";
import { useSelector } from "react-redux";

import { Notification } from "./notification";

export const Notifications = () => {
  const notificationIds = useSelector((state) =>
    Array.from(state.notifications.keys())
  );

  return (
    <div className="notifications">
      {notificationIds.map((id) => (
        <Notification key={id} id={id} />
      ))}
    </div>
  );
};
